/*
 * @Author: Kane
 * @Date: 2023-05-25 20:26:06
 * @LastEditors: Kane
 * @FilePath: /NewCitizenQueryResult/src/main/java/com/cpic/xim/web/controllers/NewCitizen/IdentifyNewCitizenResult.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.NewCitizen;

import com.fasterxml.jackson.annotation.JsonProperty;

public class IdentifyNewCitizenResponse
{
    public IdentifyNewCitizenResponse() {}

    public boolean isSuccess()
    {
        return success;
    }

    public void setSuccess( boolean success )
    {
        this.success = success;
    }

    public String getMessage()
    {
        return message;
    }

    public void setMessage( String message )
    {
        this.message = message;
    }

    public String getCitizenType()
    {
        return citizenType;
    }

    public void setCitizenType( String citizenType )
    {
        this.citizenType = citizenType;
    }

    public String getExpireDate()
    {
        return expireDate;
    }

    public void setExpireDate( String expireDate )
    {
        this.expireDate = expireDate;
    }

    public String getScore()
    {
        return score;
    }

    public void setScore( String score )
    {
        this.score = score;
    }

    @JsonProperty("success")
    private boolean success;

    @JsonProperty("message")
    private String message;

    @JsonProperty("citizentype")
    private String citizenType;

    @JsonProperty("expiredate")
    private String expireDate;

    @JsonProperty("score")
    private String score;
}